## GstAggregatorPad

GstAggregatorPad

## Functions

GstBuffer * | gst_aggregator_pad_steal_buffer ()
GstBuffer * | gst_aggregator_pad_get_buffer ()
gboolean | gst_aggregator_pad_drop_buffer ()
gboolean | gst_aggregator_pad_is_eos ()

## Types and Values

struct | GstAggregatorPad
struct | GstAggregatorPadClass

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstPad
                    ╰── GstAggregatorPad
                        ╰── GstVideoAggregatorPad

## Includes

    #include <gst/codecparsers/gstmpeg4parser.h>

## Description

## Functions

### gst_aggregator_pad_steal_buffer ()

    GstBuffer *
    gst_aggregator_pad_steal_buffer (GstAggregatorPad *pad);

Steal the ref to the buffer currently queued in `pad` .

#### Parameters

pad | the pad to get buffer from |

#### Returns

The buffer in `pad` or NULL if no buffer was queued. You should unref the buffer after usage.

[transfer full]

### gst_aggregator_pad_get_buffer ()

    GstBuffer *
    gst_aggregator_pad_get_buffer (GstAggregatorPad *pad);

#### Parameters

pad | the pad to get buffer from |

#### Returns

A reference to the buffer in `pad` or NULL if no buffer was queued. You should unref the buffer after usage.

[transfer full]

### gst_aggregator_pad_drop_buffer ()

    gboolean
    gst_aggregator_pad_drop_buffer (GstAggregatorPad *pad);

Drop the buffer currently queued in `pad` .

#### Parameters

pad | the pad where to drop any pending buffer |

#### Returns

TRUE if there was a buffer queued in `pad` , or FALSE if not.

### gst_aggregator_pad_is_eos ()

    gboolean
    gst_aggregator_pad_is_eos (GstAggregatorPad *pad);

## Types and Values

### struct GstAggregatorPad

    struct GstAggregatorPad;

The implementation the GstPad to use with GstAggregator

#### Members

### struct GstAggregatorPadClass

    struct GstAggregatorPadClass {
      GstPadClass   parent_class;

      GstFlowReturn (*flush)     (GstAggregatorPad * aggpad, GstAggregator * aggregator);
    };

#### Members

`flush` () | Optional Called when the pad has received a flush stop, this is the place to flush any information specific to the pad, it allows for individual pads to be flushed while others might not be. |